// Setting up the svg element for D3 to draw in
let width = 500, height = 450

let svg = d3.select("body").append("svg")
    .attr("width", width)
    .attr("height", height)

// A projection tells D3 how to orient the GeoJSON features
let africaProjection = d3.geoMercator()
	.center([ 15, 10 ])
  .scale([ width / 1.2 ])
  .translate([ width / 2, height / 2 ])

// The path generator uses the projection to convert the GeoJSON
// geometry to a set of coordinates that D3 can understand
let pathGenerator = null

// URL to the GeoJSON itself
let geoJsonUrl = ''

	pathGenerator = d3.geoPath().projection(africaProjection)
  geoJsonUrl = "https://gist.githubusercontent.com/sushmachirra/9ede33994b7f5e05e80c16b07d8b3f32/raw/e450e11fbce422d3afbce3955a4dcc46ea37cf13/africa.json"


// Request the GeoJSON
d3.json(geoJsonUrl).then(geojson => {
	// Tell D3 to render a path for each GeoJSON feature
  svg.selectAll("path")
    .data(geojson.features)
    .enter()
    .append("path")
    .attr("d", pathGenerator) // This is where the magic happens
    .attr("stroke", "#19A7CE") // Color of the lines themselves
    .attr("fill", "#FAEDCD") // Color uses to fill in the lines
})